@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 480px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;
        cursor: pointer;

        .mat-header-row {
            min-height: 64px;
            cursor: pointer;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
            cursor: pointer;
        }

        .mat-column-buttons {
            flex: 0 1 80px;
        }

        .active-icon {
            border-radius: 50%;
        }

        .mat-column-cpfCnpj {
            flex: 0 1 150px;
        }

        .mat-column-createdDate {
            flex: 0 1 150px;
        }

        .mat-column-status {
            flex: 0 1 450px;
        }                
    }
}
